<?php
/**
  @licence GPL 2005-2011  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  18/04/11, 09:22
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
  @brief load base Gestion du cache des librairie et et class du core chargée pour toutes les pages
*/

/// define general functions used application-wide
  $file[]=DIR_WS_FUNCTIONS . 'general.php';
  $file[]=DIR_WS_FUNCTIONS . 'html_output.php';
  $file[]=DIR_WS_FUNCTIONS . 'template.php';
/// define how the session functions will be used
  $file[]=DIR_WS_FUNCTIONS . 'sessions.php';

  autoload::getInstance();

  if( ($path=autoload::getPath('osCSS_Cache')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('navigation_history')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('language')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('price')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('image_ratio')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('shoppingCart')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('breadcrumb')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('messageStack')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('AbstractAcaModule')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('split_page_results')) && $path != false)  $file[]=$path;

  if( ($path=autoload::getPath('driver.categorie')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('driver.product')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('driver.content')) && $path != false)  $file[]=$path;

  if( ($path=autoload::getPath('page')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('page.customer')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('page.oscss_plugins')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('page.oscss_modules')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('page.oscss_boxes')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('page.generic')) && $path != false)  $file[]=$path;
  if( ($path=autoload::getPath('page.javascript')) && $path != false)  $file[]=$path;

  require_once(DIR_WS_COMMON_CLASSES.'osCSS_CacheLib.php');

  if(OSCSS_DEBUG == false){
    if (CacheLib::read('core_lib-'.md5(__FILE__)) === false) {
      CacheLib::addfiles($file);
    }
    include(CacheLib::getfilecache());
  }
  else {

    foreach($file as $item)
      include_once($item);
  }
  unset($file);
?>